AOZ Studio Beta - Bug #88

System variable 'Screen’' not working
01/28/2020 01:47 PM - David Baldwin

Status: Closed Start date: 01/28/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.4

Affected version: 0.9.3.1

Description

Example:

#splashScreen:false

Screen Open 1,320,256,32,Lowres
Screen 1

S=Screen

Print "Screen: ";S

Print Screen

S=Screen should assign current screen number to variable S - it doesn't.
Transpiler also throws up this error:- main.aoz:3:8: warning: variable 'screen’ used without been declared

Both Print statement should display "1", and they display "0"

History

#1 - 02/03/2020 05:57 PM - Francois Lionet
- Status changed from New to Resolved
- Assignee set to Francois Lionet

- Target version set to 0.9.4

Ha! Corrected, forgot that you could use the token as a function too... Not very logical in the syntax Mr Lionet... What a lamer... Much better syntax in
Blitz Basic. ;)

#2 - 03/07/2020 11:53 AM - Baptiste Pillot
- Description updated

- Status changed from Resolved to Closed

e source code : https://www.amos2.fr/ide/Amos2/Ide/Program/469
e run : https://www.amos2.fr/run/tickleman/88/
e result :

Screen: 1
1

Ok, confirmed working and closed.
